ESB-2019.1165 - [SUSE] xen: Multiple vulnerabilities 2019-04-08

Printable version
PGP/GPG verifiable version

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2019.1165
                SUSE-SU-2019:0891-1 Security update for xen
                               8 April 2019

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           xen
Publisher:         SUSE
Operating System:  SUSE
Impact/Access:     Root Compromise        -- Existing Account
                   Access Privileged Data -- Existing Account
                   Denial of Service      -- Existing Account
Resolution:        Patch/Upgrade
CVE Names:         CVE-2019-9824 CVE-2019-6778 

Reference:         ESB-2019.1098.3
                   ESB-2019.1024
                   ESB-2019.0762
                   ESB-2019.0629

Original Bulletin: 
   https://www.suse.com/support/update/announcement/2019/suse-su-20190891-1.html

- --------------------------BEGIN INCLUDED TEXT--------------------

SUSE Security Update: Security update for xen

______________________________________________________________________________

Announcement ID:   SUSE-SU-2019:0891-1
Rating:            important
References:        #1026236 #1027519 #1069468 #1119161 #1120067 #1123157
                   #1126140 #1126141 #1126192 #1126195 #1126196 #1126197
                   #1126198 #1126201 #1126325 #1127400 #1127620 #1129623
Cross-References:  CVE-2019-6778 CVE-2019-9824
Affected Products:
                   SUSE Linux Enterprise Software Development Kit 12-SP4
                   SUSE Linux Enterprise Server 12-SP4
                   SUSE Linux Enterprise Desktop 12-SP4
______________________________________________________________________________

An update that solves two vulnerabilities and has 16 fixes is now available.

Description:

This update for xen fixes the following issues:
Security issues fixed:

  o Fixed an issue which could allow malicious PV guests may cause a host crash
    or gain access to data pertaining to other guests.Additionally, vulnerable
    configurations are likely to be unstable even in the absence of an attack
    (bsc#1126198).
  o Fixed multiple access violations introduced by XENMEM_exchange hypercall
    which could allow a single PV guest to leak arbitrary amounts of memory,
    leading to a denial of service (bsc#1126192).
  o Fixed an issue which could allow a malicious unprivileged guest userspace
    process to escalate its privilege to that of other userspace processes in
    the same guest and potentially thereby to that of the guest operating
    system (bsc#1126201).
  o Fixed an issue which could allow malicious or buggy x86 PV guest kernels to
    mount a Denial of Service attack affecting the whole system (bsc#1126197).
  o Fixed an issue which could allow an untrusted PV domain with access to a
    physical device to DMA into its own pagetables leading to privilege
    escalation (bsc#1126195).
  o Fixed an issue which could allow a malicious or buggy x86 PV guest kernels
    can mount a Denial of Service attack affecting the whole system (bsc#
    1126196).
  o CVE-2019-6778: Fixed a heap buffer overflow in tcp_emu() found in slirp
    (bsc#1123157).
  o Fixed an issue which could allow malicious 64bit PV guests to cause a host
    crash (bsc#1127400).
  o Fixed an issue which could allow malicious or buggy guests with passed
    through PCI devices to be able to escalate their privileges, crash the
    host, or access data belonging to other guests. Additionally memory leaks
    were also possible (bsc#1126140).
  o Fixed a race condition issue which could allow malicious PV guests to
    escalate their privilege to that of the hypervisor (bsc#1126141).
  o CVE-2019-9824: Fixed an information leak in SLiRP networking implementation
    which could allow a user/process to read uninitialised stack memory
    contents (bsc#1129623).


Other issues addressed:

  o Upstream bug fixes (bsc#1027519)
  o Packages should no longer use /var/adm/fillup-templates (bsc#1069468).
  o Added Xen cmdline option "suse_vtsc_tolerance" to avoid TSC emulation for
    HVM domUs (bsc#1026236).
  o Fixed an issue where setup of grant_tables and other variables may fail
    (bsc#1126325).
  o Fixed a building issue (bsc#1119161).
  o Added a requirement for xen, xl.cfg firmware="pvgrub32|pvgrub64 (bsc#
    1127620).
  o Fixed a segmetation fault in Libvirt when crash triggered on top of HVM
    guest (bsc#1120067).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  o SUSE Linux Enterprise Software Development Kit 12-SP4:
    zypper in -t patch SUSE-SLE-SDK-12-SP4-2019-891=1
  o SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-891=1
  o SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-891=1

Package List:

  o SUSE Linux Enterprise Software Development Kit 12-SP4 (aarch64 x86_64):
       xen-debugsource-4.11.1_04-2.6.1
       xen-devel-4.11.1_04-2.6.1
  o SUSE Linux Enterprise Server 12-SP4 (x86_64):
       xen-4.11.1_04-2.6.1
       xen-debugsource-4.11.1_04-2.6.1
       xen-doc-html-4.11.1_04-2.6.1
       xen-libs-32bit-4.11.1_04-2.6.1
       xen-libs-4.11.1_04-2.6.1
       xen-libs-debuginfo-32bit-4.11.1_04-2.6.1
       xen-libs-debuginfo-4.11.1_04-2.6.1
       xen-tools-4.11.1_04-2.6.1
       xen-tools-debuginfo-4.11.1_04-2.6.1
       xen-tools-domU-4.11.1_04-2.6.1
       xen-tools-domU-debuginfo-4.11.1_04-2.6.1
  o SUSE Linux Enterprise Desktop 12-SP4 (x86_64):
       xen-4.11.1_04-2.6.1
       xen-debugsource-4.11.1_04-2.6.1
       xen-libs-32bit-4.11.1_04-2.6.1
       xen-libs-4.11.1_04-2.6.1
       xen-libs-debuginfo-32bit-4.11.1_04-2.6.1
       xen-libs-debuginfo-4.11.1_04-2.6.1


References:

  o https://www.suse.com/security/cve/CVE-2019-6778.html
  o https://www.suse.com/security/cve/CVE-2019-9824.html
  o https://bugzilla.suse.com/1026236
  o https://bugzilla.suse.com/1027519
  o https://bugzilla.suse.com/1069468
  o https://bugzilla.suse.com/1119161
  o https://bugzilla.suse.com/1120067
  o https://bugzilla.suse.com/1123157
  o https://bugzilla.suse.com/1126140
  o https://bugzilla.suse.com/1126141
  o https://bugzilla.suse.com/1126192
  o https://bugzilla.suse.com/1126195
  o https://bugzilla.suse.com/1126196
  o https://bugzilla.suse.com/1126197
  o https://bugzilla.suse.com/1126198
  o https://bugzilla.suse.com/1126201
  o https://bugzilla.suse.com/1126325
  o https://bugzilla.suse.com/1127400
  o https://bugzilla.suse.com/1127620
  o https://bugzilla.suse.com/1129623

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBXKq2amaOgq3Tt24GAQjW6RAAy1HT15NWpJgDCDt4ZFkoGe2j9mgxPlZm
vVK+kKJIumelwYttL54sg55QOx+deMb9UKITcqtgJxPTojH7h6Q3+vFfI4d/FfjW
qfqUiGIbdtG8B4CpkXTUI57xK5sBgZeqqvHsa6TjAMPjBiGGtoVNpwgNGNF+jiby
u1F8KvynzbjvxhNmMVlLG8x9wXbmPwvkn+m/edehUIx+A4zZzM251y8rV3cFnxZG
43B0N4uemFfjVKw94ZpqT4oI5WP8laBqZ+sv9/ZmTWlwesz0TONB2lsRG+nrvjTm
1zZAt7Uj9Jn5zB4gPo1rb3GlJpy1CtfDjpV2tLcCoORDEz/SEvP6foI1WzMzIX4A
Im3S20DacMTy5E3rBRMZZIChVib9+ObaLTjne7kPW5NICo14yghtIx4OvSX3D7x8
ArFn6jjBHHCcqoSW1aXSkWy6uuKNZCslw10jJQHreQjk2M24VTJ+o63oK5EYSW8s
jOIpD/bOfIeQKCRJFuYQua1Oeoom017GCE1pvbvzOA3qPEP/fZur/h8fvZ2U6bZN
UuG4y/w5BpwGeSOazBz8Z3HwY8cRbTK5xUbv/BhO1/H9ZZqzySFm/QE7rn+WM321
94mEAAMSU0auhU0nXz70OeLOwjLP44xWOCpFuU89JeClNKfzJjzyNL6rDg+ijObm
fky2GObSNmU=
=XYCf
-----END PGP SIGNATURE-----

« Back to bulletins